Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 74)
+++ palm/trunk/SOURCE/production_e.f90	(revision 75)
@@ -5,5 +5,6 @@
 ! -----------------
 ! Wall functions now include diabatic conditions, call of routine wall_fluxes_e,
-! reference temperature pt_reference can be used in buoyancy term
+! reference temperature pt_reference can be used in buoyancy term,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -358,5 +359,5 @@
 !
 !--       Calculate TKE production by buoyancy
-          IF ( .NOT. moisture )  THEN
+          IF ( .NOT. humidity )  THEN
 
              IF ( use_pt_reference )  THEN
@@ -756,5 +757,5 @@
 !
 !--    Calculate TKE production by buoyancy
-       IF ( .NOT. moisture )  THEN
+       IF ( .NOT. humidity )  THEN
 
           IF ( use_pt_reference )  THEN
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 74)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 75)
@@ -5,6 +5,7 @@
 ! -----------------
 ! checking for negative q and limiting for positive values,
-! z0 removed from arguments in calls of diffusion_u/v/w,
-! subroutine names changed to .._noopt, .._cache, and .._vector
+! z0 removed from arguments in calls of diffusion_u/v/w, uxrp, vynp eliminated,
+! subroutine names changed to .._noopt, .._cache, and .._vector,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -102,5 +103,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
 
 !
@@ -117,5 +118,5 @@
 !
 !-- u-tendency terms with no communication
-    DO  i = nxl, nxr+uxrp
+    DO  i = nxl, nxr
        DO  j = nys, nyn
 !
@@ -186,5 +187,5 @@
 !-- v-tendency terms with no communication
     DO  i = nxl, nxr
-       DO  j = nys, nyn+vynp
+       DO  j = nys, nyn
 !
 !--       Tendency terms
@@ -273,5 +274,5 @@
           ENDIF
           CALL coriolis( i, j, 3 )
-          IF ( .NOT. moisture )  THEN
+          IF ( .NOT. humidity )  THEN
              CALL buoyancy( i, j, pt, 3, 4 )
           ELSE
@@ -410,5 +411,5 @@
 !
 !-- If required, compute prognostic equation for total water content / scalar
-    IF ( moisture  .OR.  passive_scalar )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
 
        CALL cpu_log( log_point(29), 'q/s-equation', 'start' )
@@ -550,5 +551,5 @@
              IF ( scalar_advec == 'bc-scheme'  .AND.  &
                   .NOT. use_upstream_for_tke )  THEN
-                IF ( .NOT. moisture )  THEN
+                IF ( .NOT. humidity )  THEN
                    CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                      l_grid, pt, rif, tend, zu )
@@ -575,5 +576,5 @@
                 IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )&
                 THEN
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e_m, &
                                         km_m, l_grid, pt_m, rif_m, tend, zu )
@@ -583,5 +584,5 @@
                    ENDIF
                 ELSE
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                         l_grid, pt, rif, tend, zu )
@@ -661,5 +662,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
     IF ( .NOT. constant_diffusion )  CALL production_e_init
 
@@ -669,6 +670,6 @@
 !$OMP PARALLEL private (i,j,k)
 !$OMP DO
-    DO  i = nxl, nxr+uxrp       ! Additional levels for non cyclic boundary
-       DO  j = nys, nyn+vynp    ! conditions are included
+    DO  i = nxl, nxr
+       DO  j = nys, nyn
 !
 !--       Tendency terms for u-velocity component
@@ -789,5 +790,5 @@
              ENDIF
              CALL coriolis( i, j, 3 )
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL buoyancy( i, j, pt, 3, 4 )
              ELSE
@@ -881,5 +882,5 @@
 !--          If required, compute prognostic equation for total water content /
 !--          scalar
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
 
 !
@@ -954,5 +955,5 @@
                 IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )&
                 THEN
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e_m, &
                                         km_m, l_grid, pt_m, rif_m, tend, zu )
@@ -962,5 +963,5 @@
                    ENDIF
                 ELSE
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                         l_grid, pt, rif, tend, zu )
@@ -1032,5 +1033,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
 
 !
@@ -1068,5 +1069,5 @@
 !
 !-- Prognostic equation for u-velocity component
-    DO  i = nxl, nxr+uxrp
+    DO  i = nxl, nxr
        DO  j = nys, nyn
           DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1085,5 +1086,5 @@
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( intermediate_timestep_count == 1 )  THEN
-          DO  i = nxl, nxr+uxrp
+          DO  i = nxl, nxr
              DO  j = nys, nyn
                 DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1094,5 +1095,5 @@
        ELSEIF ( intermediate_timestep_count < &
                 intermediate_timestep_count_max )  THEN
-          DO  i = nxl, nxr+uxrp
+          DO  i = nxl, nxr
              DO  j = nys, nyn
                 DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1140,5 +1141,5 @@
 !-- Prognostic equation for v-velocity component
     DO  i = nxl, nxr
-       DO  j = nys, nyn+vynp
+       DO  j = nys, nyn
           DO  k = nzb_v_inner(j,i)+1, nzt
              v_p(k,j,i) = ( 1.0-tsc(1) ) * v_m(k,j,i) + tsc(1) * v(k,j,i) +    &
@@ -1157,5 +1158,5 @@
        IF ( intermediate_timestep_count == 1 )  THEN
           DO  i = nxl, nxr
-             DO  j = nys, nyn+vynp
+             DO  j = nys, nyn
                 DO  k = nzb_v_inner(j,i)+1, nzt
                    tv_m(k,j,i) = tend(k,j,i)
@@ -1166,5 +1167,5 @@
                 intermediate_timestep_count_max )  THEN
           DO  i = nxl, nxr
-             DO  j = nys, nyn+vynp
+             DO  j = nys, nyn
                 DO  k = nzb_v_inner(j,i)+1, nzt
                    tv_m(k,j,i) = -9.5625 * tend(k,j,i) + 5.3125 * tv_m(k,j,i)
@@ -1206,5 +1207,5 @@
     ENDIF
     CALL coriolis( 3 )
-    IF ( .NOT. moisture )  THEN
+    IF ( .NOT. humidity )  THEN
        CALL buoyancy( pt, 3, 4 )
     ELSE
@@ -1355,5 +1356,5 @@
 !
 !-- If required, compute prognostic equation for total water content / scalar
-    IF ( moisture  .OR.  passive_scalar )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
 
        CALL cpu_log( log_point(29), 'q/s-equation', 'start' )
@@ -1493,5 +1494,5 @@
        IF ( scalar_advec == 'bc-scheme'  .AND.  .NOT. use_upstream_for_tke )  &
        THEN
-          IF ( .NOT. moisture )  THEN
+          IF ( .NOT. humidity )  THEN
              CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e, km, l_grid, pt, &
                                rif, tend, zu )
@@ -1516,5 +1517,5 @@
           ENDIF
           IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )  THEN
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e_m, km_m, l_grid, &
                                   pt_m, rif_m, tend, zu )
@@ -1524,5 +1525,5 @@
              ENDIF
           ELSE
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e, km, l_grid, pt, &
                                   rif, tend, zu )
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 74)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! +loop_optimization, pt_reference
+! +loop_optimization, pt_reference, moisture renamed humidity
 !
 ! Former revisions:
@@ -212,6 +212,6 @@
           CASE ( 'mixing_length_1d' )
              READ ( 13 )  mixing_length_1d
-          CASE ( 'moisture' )
-             READ ( 13 )  moisture
+          CASE ( 'humidity' )
+             READ ( 13 )  humidity
           CASE ( 'momentum_advec' )
              READ ( 13 )  momentum_advec
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 74)
+++ palm/trunk/SOURCE/sor.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! 2nd+3rd argument removed from exchange horiz
 !
 ! Former revisions:
@@ -98,5 +98,5 @@
 !
 !--    Exchange of boundary values for p.
-       CALL exchange_horiz( p, 0, 0 )
+       CALL exchange_horiz( p )
 
 !
@@ -143,5 +143,5 @@
 !
 !--    Exchange of boundary values for p.
-       CALL exchange_horiz( p, 0, 0 )
+       CALL exchange_horiz( p )
 
 !
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 74)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -56,5 +56,5 @@
                 e_m => e_1;  e => e_2;  e_p => e_3
              ENDIF
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 q_m => q_1;  q => q_2;  q_p => q_3
              ENDIF
@@ -69,5 +69,5 @@
                 e_m => e_2;  e => e_3;  e_p => e_1
              ENDIF
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 q_m => q_2;  q => q_3;  q_p => q_1
              ENDIF
@@ -82,5 +82,5 @@
                 e_m => e_3;  e => e_1;  e_p => e_2
              ENDIF
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 q_m => q_3;  q => q_1;  q_p => q_2
              ENDIF
@@ -105,5 +105,5 @@
                 e => e_1;  e_p => e_2
              ENDIF
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 q => q_1;  q_p => q_2
              ENDIF
@@ -119,5 +119,5 @@
                    vsws_m => vsws_1;  vsws => vsws_2
                    shf_m  => shf_1;   shf  => shf_2
-                   IF ( moisture  .OR.  passive_scalar )  THEN
+                   IF ( humidity  .OR.  passive_scalar )  THEN
                       qsws_m => qsws_1;  qsws => qsws_2
                    ENDIF
@@ -128,5 +128,5 @@
                 IF ( use_top_fluxes )  THEN
                    tswst_m => tswst_1;  tswst => tswst_2
-                   IF ( moisture  .OR.  passive_scalar )  THEN
+                   IF ( humidity  .OR.  passive_scalar )  THEN
                       qswst_m => qswst_1;  qswst => qswst_2
                    ENDIF
@@ -134,5 +134,5 @@
              ENDIF
 
-             IF ( moisture )  THEN
+             IF ( humidity )  THEN
                 vpt_m => vpt_1;  vpt => vpt_2
              ENDIF
@@ -151,5 +151,5 @@
                 e => e_2;  e_p => e_1
              ENDIF
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 q => q_2;  q_p => q_1
              ENDIF
@@ -164,5 +164,5 @@
                    vsws_m => vsws_2;  vsws => vsws_1
                    shf_m  => shf_2;   shf  => shf_1
-                   IF ( moisture  .OR.  passive_scalar )  THEN
+                   IF ( humidity  .OR.  passive_scalar )  THEN
                       qsws_m => qsws_2;  qsws => qsws_1
                    ENDIF
@@ -173,5 +173,5 @@
                 IF ( use_top_fluxes )  THEN
                    tswst_m  => tswst_2;  tswst => tswst_1
-                   IF ( moisture  .OR.  passive_scalar )  THEN
+                   IF ( humidity  .OR.  passive_scalar )  THEN
                       qswst_m => qswst_2;  qswst => qswst_1
                    ENDIF
@@ -179,5 +179,5 @@
              ENDIF
 
-             IF ( moisture )  THEN
+             IF ( humidity )  THEN
                 vpt_m => vpt_2;  vpt => vpt_1
              ENDIF
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 74)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 75)
@@ -7,5 +7,7 @@
 ! and counters,
 ! calls of prognostic_equations_.. changed to .._noopt, .._cache, and
-! .._vector, these calls are now controlled by switch loop_optimization
+! .._vector, these calls are now controlled by switch loop_optimization,
+! uxrp, vynp eliminated, 2nd+3rd argument removed from exchange horiz,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -136,15 +138,15 @@
 !--       Exchange of ghost points (lateral boundary conditions)
           CALL cpu_log( log_point(26), 'exchange-horiz-progn', 'start' )
-          CALL exchange_horiz( u_p, uxrp,    0 )
-          CALL exchange_horiz( v_p,    0, vynp )
-          CALL exchange_horiz( w_p,    0,    0 )
-          CALL exchange_horiz( pt_p,   0,    0 )
-          IF ( .NOT. constant_diffusion       )  CALL exchange_horiz( e_p, 0, 0)
-          IF ( moisture  .OR.  passive_scalar )  CALL exchange_horiz( q_p, 0, 0)
+          CALL exchange_horiz( u_p )
+          CALL exchange_horiz( v_p )
+          CALL exchange_horiz( w_p )
+          CALL exchange_horiz( pt_p )
+          IF ( .NOT. constant_diffusion       )  CALL exchange_horiz( e_p )
+          IF ( humidity  .OR.  passive_scalar )  CALL exchange_horiz( q_p )
           IF ( cloud_droplets )  THEN
-             CALL exchange_horiz( ql,    0, 0 )
-             CALL exchange_horiz( ql_c,  0, 0 )
-             CALL exchange_horiz( ql_v,  0, 0 )
-             CALL exchange_horiz( ql_vp, 0, 0 )
+             CALL exchange_horiz( ql )
+             CALL exchange_horiz( ql_c )
+             CALL exchange_horiz( ql_v )
+             CALL exchange_horiz( ql_vp )
           ENDIF
 
@@ -182,6 +184,6 @@
              IF ( time_disturb >= dt_disturb )  THEN
                 IF ( hom(nzb+5,1,var_hom,0) < disturbance_energy_limit )  THEN
-                   CALL disturb_field( nzb_u_inner, tend, u, uxrp, 0    )
-                   CALL disturb_field( nzb_v_inner, tend, v ,   0, vynp )
+                   CALL disturb_field( nzb_u_inner, tend, u )
+                   CALL disturb_field( nzb_v_inner, tend, v )
                 ELSEIF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
 !
@@ -189,6 +191,6 @@
 !--                near the inflow throughout the whole simulation
                    dist_range = 1
-                   CALL disturb_field( nzb_u_inner, tend, u, uxrp, 0    )
-                   CALL disturb_field( nzb_v_inner, tend, v ,   0, vynp )
+                   CALL disturb_field( nzb_u_inner, tend, u )
+                   CALL disturb_field( nzb_v_inner, tend, v )
                    dist_range = 0
                 ENDIF
@@ -208,11 +210,11 @@
 !--       In case of a non-cyclic lateral wall, set the boundary conditions for
 !--       the velocities at the outflow
-          IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
-             CALL boundary_conds( 'outflow_uvw' )
-          ENDIF
+!          IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
+!             CALL boundary_conds( 'outflow_uvw' )
+!          ENDIF
 
 !
 !--       If required, compute virtuell potential temperature
-          IF ( moisture ) CALL compute_vpt
+          IF ( humidity ) CALL compute_vpt
 
 !
@@ -235,5 +237,5 @@
 !--          Compute the diffusion coefficients
              CALL cpu_log( log_point(17), 'diffusivities', 'start' )
-             IF ( .NOT. moisture ) THEN
+             IF ( .NOT. humidity ) THEN
                 CALL diffusivities( pt )
              ELSE
Index: palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/wall_fluxes.f90	(revision 74)
+++ palm/trunk/SOURCE/wall_fluxes.f90	(revision 75)
@@ -37,5 +37,5 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE wall_fluxes( wall_flux, a, b, c1, c2, ixp, jyp, nzb_uvw_inner, &
+    SUBROUTINE wall_fluxes( wall_flux, a, b, c1, c2, nzb_uvw_inner, &
                             nzb_uvw_outer, wall )
 
@@ -48,5 +48,5 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, ixp, j, jyp, k, wall_index
+       INTEGER ::  i, j, k, wall_index
 
        INTEGER, DIMENSION(nys-1:nyn+1,nxl-1:nxr+1) ::  nzb_uvw_inner, &
@@ -55,6 +55,6 @@
        REAL ::  pts, pt_i, rifs, u_i, v_i, us_wall, vel_total, ws, wspts
 
-       REAL, DIMENSION(nys-1:nyn+1,nxl-1:nxr+1)           ::  wall
-       REAL, DIMENSION(nzb:nzt+1,nys:nyn+jyp,nxl:nxr+ixp) ::  wall_flux
+       REAL, DIMENSION(nys-1:nyn+1,nxl-1:nxr+1)   ::  wall
+       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wall_flux
 
 
@@ -63,6 +63,6 @@
        wall_index = NINT( a+ 2*b + 3*c1 + 4*c2 )
 
-       DO  i = nxl, nxr+ixp
-          DO  j = nys, nyn+jyp
+       DO  i = nxl, nxr
+          DO  j = nys, nyn
 
              IF ( wall(j,i) /= 0.0 )  THEN
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 74)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 75)
@@ -5,5 +5,5 @@
 ! -----------------
 ! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av
+! z0_av, moisture renamed humidity
 !
 ! Former revisions:
@@ -107,5 +107,5 @@
     ENDIF
     WRITE ( 14 )  'pt_m                ';  WRITE ( 14 )  pt_m
-    IF ( moisture  .OR. passive_scalar )  THEN
+    IF ( humidity  .OR. passive_scalar )  THEN
        WRITE ( 14 )  'q                   ';  WRITE ( 14 )  q 
        IF ( ALLOCATED( q_av ) )  THEN
@@ -209,5 +209,5 @@
        WRITE ( 14 )  'v_m_s               ';  WRITE ( 14 )  v_m_s
     ENDIF
-    IF ( moisture )  THEN
+    IF ( humidity )  THEN
        WRITE ( 14 )  'vpt                 ';  WRITE ( 14 )  vpt
        IF ( ALLOCATED( vpt_av ) )  THEN
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 74)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! +loop_optimization, pt_refrence
+! +loop_optimization, pt_refrence, moisture renamed humidity
 !
 ! Former revisions:
@@ -178,6 +178,6 @@
     WRITE ( 14 )  'mixing_length_1d              '
     WRITE ( 14 )  mixing_length_1d
-    WRITE ( 14 )  'moisture                      '
-    WRITE ( 14 )  moisture
+    WRITE ( 14 )  'humidity                      '
+    WRITE ( 14 )  humidity
     WRITE ( 14 )  'momentum_advec                '
     WRITE ( 14 )  momentum_advec
